import java.util.Calendar;
import java.util.Vector;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Report manager must be running
public class SchedulingExportParamReportOneTime {

	public static void main(String[] args) {
		SchedulingExportParamReportOneTime doScheduleExport = new SchedulingExportParamReportOneTime();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("ParamReport_OneTime", ScheduleObject.REPORTOBJ);
		//		 Single Param Report
		sObj.setFileLocation("EmployeeDetails.pak");
		String exportLoc = sObj.pickDefaultExportLocation();
		sObj.setReportType(IExportConstants.DHTML);
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		//		 1st param set {"Denise Carron"}
		Object tmp1[] = { "Denise Carron" };
		//		 2st param set {"Frank Carnody"}
		Object tmp2[] = { "Frank Carnody" };
		Vector paramList = new Vector();
		paramList.addElement(tmp1);
		paramList.addElement(tmp2);
		sObj.setParamList(paramList);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(false);

		ScheduleModifier.addScheduleTask(sObj);
	}
}
